import { Request } from "express";

export const checkBodyAndThrowError = (
  body: Request["body"],
  requiredFields: string[]
) => {
  requiredFields.forEach((field) => {
    if (!body[field]) throw new Error(`400:${field} is required`);
  });
};
